Query Tax Classes
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/taxClasses \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/taxClasses"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/taxClasses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"IsDefault": true
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Query Tax Classes
Query all tax classes
GET
/
v1
/
taxClasses
Query Tax Classes
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all tax classes.
Unique ID to identify a tax class.
Name of the tax class.
Indicates whether or not the tax class is the default one. There can be only one default tax class.
Type of the tax rate.
Available options:
0, 1, 2, 3, 4, 5 Was this page helpful?
⌘I